Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ImR_Adapter_Activator Class Reference

Implementation Repository Adapter Activator. More...

`#include <Adapter_Activator.h>`

Inheritance diagram for ImR_Adapter_Activator:

[legend]
Collaboration diagram for ImR_Adapter_Activator:

[legend]
List of all members.

## Public Methods
| ImR_Adapter_Activator (PortableServer::ServantLocator_ptr servant)
| Constructor.
virtual CORBA::Boolean | unknown_adapter (PortableServer::POA_ptr parent, const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Called when a POA needs to be created.
## Private Attributes
PortableServer::ServantLocator_ptr | servant_locator_
| The ServantLocator registered in each new POA.

## Detailed Description

Implementation Repository Adapter Activator.

Part of the ServantLocator/AdapterActivator combination that is used to receive forwardable requests from clients. The Adapter Activator creates the POA structure that the request expects. For each POA created, the same ServantLocator will be registered in each one.

## Constructor & Destructor Documentation

ImR_Adapter_Activator::ImR_Adapter_Activator | ( | PortableServer::ServantLocator_ptr | servant | ) |

| Constructor.

## Member Function Documentation

CORBA::Boolean ImR_Adapter_Activator::unknown_adapter | ( | PortableServer::POA_ptr | parent,
|  | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

| Called when a POA needs to be created. Implements PortableServer::AdapterActivator.

## Member Data Documentation

PortableServer::ServantLocator_ptr ImR_Adapter_Activator::servant_locator_`[private]`

| The ServantLocator registered in each new POA.

The documentation for this class was generated from the following files:

- Adapter_Activator.h
- Adapter_Activator.cpp